@page guides/contributing/bug-report Reporting Bugs
@parent guides/contribute 1

@description Learn how to submit a bug report.

@body

CanJS uses [GitHub Issues](https://github.com/canjs/canjs/issues/new) to track bugs. However,
CanJS is made up of many individual GitHub repositories. Ideally, bugs are created within the
repository whose code is causing the issue.  For example, issues with
[can-define] can be created at [canjs/can-define/issues/new](https://github.com/canjs/can-define/issues/new).

If you do not know which repository your issue belongs to, that’s totally ok!  Please
create your issue in the main
[canjs/canjs issues page](https://github.com/canjs/canjs/issues/new).  The core team will
move the issue to the correct repository if necessary.

When creating an issue, it’s very helpful to include:

 - Small examples using tools like JS&nbsp;Bin. You can clone the following [CanJS bin](https://jsbin.com/losoceranu/1/edit?html,js,output) that includes everything in CanJS. Make
   sure it’s pointing at the same version of CanJS you are using.  
 - Breaking unit tests (optional). See [guides/contributing/code].
 - Proposed fix solutions (optional)

Also, please search for previous tickets.  If there’s something similar, add to that, or
give it a 👍.

Finally, if there are any questions, reach out to
us on the [CanJS forums](https://forums.bitovi.com/c/canjs) or
[join our Slack](https://www.bitovi.com/community/slack)
and talk to us in the
[#canjs channel](https://bitovi-community.slack.com/messages/CFC22NZ8A).
